Bug 202379 - Review Request: perl-Gnome2-GConf
Review Request: perl-Gnome2-GConf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Gnome2-GC...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-13 21:02 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 23:24:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-13 21:02:44 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gnome2-GConf-1.032-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gnome2-GConf.spec

Description:
This module allows you to use the GConf configuration system in order to
store/retrieve the configuration of an application. The GConf system is a
powerful configuration manager based on a user daemon that handles a set of
key and value pairs, and notifies any changes of the value to every program
that monitors those keys. GConf is used by GNOME 2.x.
Comment 1 Jason Tibbitts 2006-08-18 16:25:06 EDT
I'll review this, but I'm not sure I can test it as I'm not a gnome user
(partially because of gconf itself).

Unfortunately, the build fails for me:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic'
*** can not find package gconf-2.0 >= 2.0.0
*** check that it is properly installed and available in PKG_CONFIG_PATH
 at Makefile.PL line 44
error: Bad exit status from /var/tmp/rpm-tmp.14178 (%build)


Looks like a missing BR: GConfig2-devel.  I replaced the unnecessary BR: perl
with that (^_^) and now it builds.

The usual rpmlint warnings for arch-specific Perl packages:

W: perl-Gnome2-GConf devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/GConf/Install/gconfperl-autogen.h
W: perl-Gnome2-GConf devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/GConf/Install/gconfperl-version.h
W: perl-Gnome2-GConf devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gnome2/GConf/Install/gconfperl.h

All of which are OK.

I'm going to assume for the purposes of this review that the missing BR:
GConf2-devel is there.

Hmm, it looks like rpmbuild has trouble generating a proper debuginfo package. 
I added this to the end of %build and it does better:

cp xs/* .

I don't know what's up with the seven skipped subtests.  Any idea?

Review:
* source files match upstream:
   887b979e04df4adbfd616729cda0f37b  Gnome2-GConf-1.032.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (after adding GConf2-devel.)
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
X debuginfo package looks complete.
* rpmlint has only ignorable complaints.
* final provides and requires are sane:
   GConf.so()(64bit)
   perl(Gnome2::GConf)
   perl(Gnome2::GConf::Client)
   perl(Gnome2::GConf::Install::Files)
   perl(Gnome2::GConf::Value)
   perl-Gnome2-GConf = 1.032-1.fc6
  =
   libORBit-2.so.0()(64bit)
   libgconf-2.so.4()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgthread-2.0.so.0()(64bit)
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(Glib)
   perl(XSLoader)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass:
   t/00.GConf....ok
        7/11 skipped: basic-gconf-app directory not found in GConf.
   All tests successful, 7 subtests skipped.
* no shared libraries are added to the regular linker search paths.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers (other than those internal to Perl).
* no pkgconfig files.
Comment 2 Chris Weyl 2006-08-18 20:51:21 EDT
Nuts.  I hate it when I miss obvious BR's....

The skipped tests are due to a gconf client not being available inside the mock
chroot.  There are other tests (a very few) and the dependent tests are properly
skipped, so I didn't nix the test suite.

I'll make the other requested changes and post a new spec/srpm shortly.

Comment 4 Jason Tibbitts 2006-08-21 23:13:40 EDT
The package now builds and the debuginfo subpackage looks good.  The only issues
I had have been addressed.

APPROVED
Comment 5 Chris Weyl 2006-08-22 23:24:34 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.